Announcements

Help Wizard

Step 1

NEXT STEP

Getting error 429 when using audio_features (even for a single track)

Getting error 429 when using audio_features (even for a single track)

 

track_features = sp.audio_features(["3GYlZ7tbxLOxe6ewMNVTkw"])

This is my code and this is the error I'm getting

Max Retries reached
urllib3.exceptions.ResponseError: too many 429 error responses

The above exception was the direct cause of the following exception:

 

urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='api.spotify.com', port=443): Max retries exceeded with url: /v1/audio-features/?ids=3GYlZ7tbxLOxe6ewMNVTkw (Caused by ResponseError('too many 429 error responses'))

 

raise SpotifyException(
spotipy.exceptions.SpotifyException: http status: 429, code:-1 - /v1/audio-features/?ids=3GYlZ7tbxLOxe6ewMNVTkw:
Max Retries, reason: too many 429 error responses

 

Yesterday I was able to get features of all the song in a PlayList of mine but today I can't even retrieve features for a single song

Reply
2 Replies

I am seeing the exact same behavior on my end.

Hello, Is there a solution for this problem? I wanted to extract audio_features for a few songs from different playlists and got this error as well. Tried it for a single song like fontanaemanuele14 did and still get the same error. 

Suggested posts